Subject: [Rserpool] DHCP option for RSerPool

From: Silverton Aron-C1710C <[email-masked]>
Date: Tue, 8 Jul 2003 12:40:58 -0500

Hello all,

I've been thinking about a DHCP option that could be used to provide ENRP
server addresses to a client which may be a PE or PU.  This could be very
useful in some deployments of RSerPool.  Sub-options could also be created,
if necessary, to provide other RSerPool related information to a client on
boot.

Please let me know your thoughts on this.  If others think that it is a good
idea, then I'll get started on and I-D for the option per BCP 43/RFC 2939.

Aron 

Aron J. Silverton
Senior Staff Research Engineer
Motorola Labs, Networks and Infrastructure Research
Motorola, Inc.

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool

---

From: Silverton Aron-C1710C <[email-masked]>
Date: Tue, 8 Jul 2003 15:13:13 -0500

Hi Qiaobing,

With DHCP, the host is given a list of DNS servers typically at boot.  If
those servers should actually change or go away, the client does not get a
dynamic update reflecting those changes.  The client can get an update, if,
for example, the DHCP server is administratively updated to reflect the
change in DNS servers and the client lease expires.  The lease expiration
will cause a renewal attempt which would get fresh data.  Generally not a
good way of handling dynamic systems.

For RSerPool, I see this as a way to bootstrap a client in a domain where
things are already administratively configured.  For example, a mobile node
could cross a boundary requiring an IP change which is facilitated by a DHCP
transaction.  Along with that address, it would receive one or more ENRP
server addresses, NTP servers, DNS servers, etc.  Normal RSerPool methods
would then be used to update the client as the ENRP cloud changes.

It's a start and one possible way to tell a client about an ENRP server, but
it won't solve all of the possible cases.  It is definitely not a good
method for handling very dynamic ENRP server clouds.

Regards,

Aron

Qiaobing Xie wrote:
> Hi, Aron,
> 
> I think this is a good idea. One thing comes to my mind is that we
> may need to take into consideration of the dynamic scalability of the
> ENRP server cloud, i.e., ENRP servers will likely be more dynamic
> than the DNS servers, for example. I am not an expert on DHCP and
> have little idea on how currently the DHCP deals with any changes of
> the DNS server. Another interesting issue is how to map the "host"
> concept of current DHCP to a PU or PE.      
> 
> regards,
> -Qiaobing
> 
> Silverton Aron-C1710C wrote:
>> 
>> Hello all,
>> 
>> I've been thinking about a DHCP option that could be used to provide
>> ENRP server addresses to a client which may be a PE or PU.  This
>> could be very useful in some deployments of RSerPool.  Sub-options
>> could also be created, if necessary, to provide other RSerPool
>> related information to a client on boot.
>> 
>> Please let me know your thoughts on this.  If others think that it is
>> a good idea, then I'll get started on and I-D for the option per BCP
>> 43/RFC 2939. 
>> 
>> Aron
>> 
>> Aron J. Silverton
>> Motorola Labs, Networks and Infrastructure Research Motorola, Inc.
>> 
>> [email-masked] https://www1.ietf.org/mailman/listinfo/rserpool

---

From: Silverton Aron-C1710C <[email-masked]>
Date: Tue, 8 Jul 2003 15:13:13 -0500

Hi Qiaobing,

Regards,

Aron